
QGIS Application - Bug report #2636

Connection to CSV layer cannot be restored if CSV is moved

2010-04-08 07:49 AM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: gjm -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12696

Description

1. Create project

2. Create a layer from csv

3. Save project

4. Close QGIS

5. Move csv somewhere else

6. Open saved project

7. When asked to find a layer, try to choose CSV from where it was moved

History

#1 - 2010-07-19 12:21 PM - gjm -

Works for me when I open  csv layer through the open vector method. It doesn't work when I open a csv file using the delimited text plugin. Which method

was causing the problem for you?

#2 - 2011-03-05 03:12 AM - Paolo Cavallini

Could you please check if it si still true, otherwise closing it? Thanks.

#3 - 2011-03-05 09:09 AM - Alexander Bruy

This is true when point layer created with Delimited Text plugin. When CSV opened as geometryless layer with Open Vector all works.

#4 - 2011-04-16 05:04 AM - Anne Ghisla

- Resolution set to fixed

- Status changed from Open to Closed

With commit:880088c1 (SVN r15704) (and probably older revisions, but I didn't test), moving the CSV file raises a "Handle bad layers" dialog, and allows

to find the files created both by Delimited Text and Open Vector.
